Site Navigation
QuakeOne News
» Latest News
» News Archives
» QuakeOne Movies

QuakeOne Help
» File Downloads
» Quake Help
» Quake Servers

QuakeOne Community
» Forums
» Chat *new*
» Poll Booth
» Memberlist
» Member Map

Site Info
» Community Rules
» Moderator List

» Buy Quake

Visit QuakeOne.com On Facebook!Visit QuakeOne
on Facebook

Log in
User Name:

Password:

Not a member yet?
Register Now!
Online Users: 356
3 members and 353 guests
Mathuzzz, vibok
Most users ever online was 2,542, 06-04-2016 at 12:58 AM.
Go Back Home > Forum Search Forums

View Single Post
Unread 05-11-2017, 05:12 PM   #1 (permalink)
SpecialBomb
Enforcer
SpecialBomb's Avatar
USER INFO »
Posts: 99
+/-  Reputation: SpecialBomb is on a distinguished road
Join Date: Dec 2015
Currently: Offline
Further proving how much of a n00b I am... (quakec)

So, I am fairly sure spike can answer this question.

I use darkplaces as a development and main engine, simply because it's very cross platform, and it's in both the Ubuntu and Debian repositories, making my life easy.

However, today, I decided to run my sbdm mod on quakespasm, another engine that is available in the repos. Surprisingly, I got an error message when I set my -game option to my mod, which would be this:

Code:
========= Quake Initialized ========= couldn't exec autoexec.cfg Host_Error: progs.dat system vars have been modified, progdefs.h is out of date ERROR-OUT BEGIN QUAKE ERROR: Host_Error: progs.dat system vars have been modified, progdefs.h is out of date
Now, I based my mod off of cleanqc v106, and that progdefs.h looks identical to the one in my mod. This concerns me, because I don't want my mod only running on darkplaces, its supposed to be ambiguous.

So, here are my questions:
  1. What the hell is happening?
  2. Why is it happening?
  3. Why does this work in darkplaces, but not quakespasm?
  4. How do I prevent this from happening, and what is the solution?
Reply With Quote
 

All times are GMT -6. The time now is 02:46 AM.


eXTReMe Tracker